---
title: The score
slug: Games/Tutorials/2D_breakout_game_Phaser/The_score
tags:
  - 2D
  - Beginner
  - Canvas
  - Games
  - JavaScript
  - Phaser
  - Tutorial
  - scoring
---
<div>{{GamesSidebar}}</div>

<p>{{PreviousNext("Games/Workflows/2D_Breakout_game_Phaser/Collision_detection", "Games/Workflows/2D_Breakout_game_Phaser/Win_the_game")}}</p>

<div class="summary">
<p>This is the <strong>11th step</strong> out of 16 of the <a href="/en-US/docs/Games/Workflows/2D_Breakout_game_Phaser">Gamedev Phaser tutorial</a>. You can find the source code as it should look after completing this lesson at <a href="https://github.com/end3r/Gamedev-Phaser-Content-Kit/blob/gh-pages/demos/lesson11.html">Gamedev-Phaser-Content-Kit/demos/lesson11.html</a>.</p>
</div>

<p><span class="seoSummary">Having a score can also make the game more interesting — you can try to beat your own highscore, or your friend's. In this article we'll add a scoring system to our game.</span></p>

<p>We will use a separate variable for storing the score and Phaser's <code>text()</code> method to print it out onto the screen.</p>

<h2 id="New_variables">New variables</h2>

<p>Add two new variables right after the previously defined ones:</p>

<pre class="brush: js notranslate">// ...
var scoreText;
var score = 0;
</pre>

<h2 id="Adding_score_text_to_the_game_display">Adding score text to the game display</h2>

<p>Now add this line at the end of the <code>create()</code> function:</p>

<pre class="brush: js notranslate">scoreText = game.add.text(5, 5, 'Points: 0', { font: '18px Arial', fill: '#0095DD' });
</pre>

<p>The <code>text()</code> method can take four parameters:</p>

<ul>
 <li>The x and y coordinates to draw the text at.</li>
 <li>The actual text that will be rendered.</li>
 <li>The font style to render the text with.</li>
</ul>

<p>The last parameter looks very similar to CSS styling. In our case the score text will be blue, sized at 18 pixels, and use the Arial font.</p>

<h2 id="Updating_the_score_when_bricks_are_destroyed">Updating the score when bricks are destroyed</h2>

<p>We will increase the number of points every time the ball hits a brick and update the <code>scoreText</code> to display the current score. This can be done using the <code>setText()</code> method — add the two new lines seen below to the <code>ballHitBrick()</code> function:</p>

<pre class="brush: js notranslate">function ballHitBrick(ball, brick) {
    brick.kill();
    score += 10;
    scoreText.setText('Points: '+score);
}
</pre>

<p>That's it for now — reload your <code>index.html</code> and check that the score updates on every brick hit.</p>

<h2 id="Compare_your_code">Compare your code</h2>

<p>You can check the finished code for this lesson in the live demo below, and play with it to understand better how it works:</p>

<p>{{JSFiddleEmbed("https://jsfiddle.net/end3r/n8o6rhrf/","","400")}}</p>

<h2 id="Next_steps">Next steps</h2>

<p>We now have a scoring system, but what's the point of playing and keeping score if you can't win? Let's see how we can add a victory state, allowing us to <a href="/en-US/docs/Games/Workflows/2D_Breakout_game_Phaser/Win_the_game">win the game</a>.</p>

<p>{{PreviousNext("Games/Workflows/2D_Breakout_game_Phaser/Collision_detection", "Games/Workflows/2D_Breakout_game_Phaser/Win_the_game")}}</p>
